# 环境配置
server:
  port: 9001
  servlet:
    context-path: /api/taisen

# condition
spel:
  scheduling: false        # 定时任务是否执行
  multiSource: false      # 是否多数据源配置

spring:
  # database
  datasource:
    hikari:
      connection-init-sql: SET NAMES utf8mb4 COLLATE utf8mb4_unicode_ci           # SqlServer, Oracle 无需设置类型
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: mu123
    url: jdbc:mysql://127.0.0.1:3306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
  jpa:
    database: MYSQL
    database-platform: org.hibernate.dialect.MySQL57Dialect

# filepath
file:
  path:
    file: /Users/malk/server/_Tool/var/mjava/tmp/file/
    image: /Users/malk/server/_Tool/var/mjava/tmp/image/
    tmp: /Users/malk/server/_Tool/var/mjava/tmp/
  source:
    fonts: /Users/malk/server/_Tool/fonts/simsun.ttc
logging:
  file:
    path: /Users/malk/server/_Tool/var/mjava/log

# dingtalk
dingtalk:
  agentId: 1782962089
  appKey: dingfnrpklgoaoynrbsw
  appSecret: 6FxZudtXjdYeHNQN7-Os_A-zXGF7slS7UX9d3alu9uIsK56w4gXiZN0yXPp67FDh
  corpId: dinge61fe69900ea236b35c2f4657eb6378f
  aesKey:
  token:
  operator: ""   # OA管理员账号

## aliwork
aliwork:
  appType: "APP_N9NPHVTQLPBPO8MR6WFG"
  systemToken: "UM6660D1PGF2O34KAVVKG8XZ756E3O06MZX5LW"


# 广舜临时修改
# dingtalk
#dingtalk:
#  agentId: 2765522257
#  appKey: ding9jyvueuuisilts3k
#  appSecret: BmMpcEZqh7zqh-J5k0bw6ZZnz9-h0CwMufb9Vig1LMjqL4LRiWnuh1kV9BjvJLz4
#  corpId: ding118abe041e66b68535c2f4657eb6378f
#  aesKey:
#  token:
#  operator: ""   # OA管理员账号
#
## aliwork
#aliwork:
#  appType: "APP_DKH67ZJCOYTS28FQKR2P"
#  systemToken: "UIA663C1XGSCK4YCF7HBSDK01NMJ3THCHOHKL7O2"


# 东方新华临时服务
# aliwork
#aliwork:
#  appType: "APP_LNBUWW7ZBXRUWE29PCOV"
#  systemToken: "WC866ZA1PI1B2L1JDNL334F44KI03GREIV1ILZ13"